Open CASCADE Technology: PXCAFDoc_Material Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
PXCAFDoc_Material Class Reference

`#include <PXCAFDoc_Material.hxx>`

Inheritance diagram for PXCAFDoc_Material:
[legend]

## Public Member Functions
| PXCAFDoc_Material ()
| PXCAFDoc_Material (const Handle< PCollection_HAsciiString > &theName, const Handle< PCollection_HAsciiString > &theDescr, const Standard_Real theDensity, const Handle< PCollection_HAsciiString > &theDensName, const Handle< PCollection_HAsciiString > &theDensValType)
Handle< PCollection_HAsciiString > | GetName () const
Handle< PCollection_HAsciiString > | GetDescription () const
Standard_Real | GetDensity () const
Handle< PCollection_HAsciiString > | GetDensName () const
Handle< PCollection_HAsciiString > | GetDensValType () const
void | Set (const Handle< PCollection_HAsciiString > &theName, const Handle< PCollection_HAsciiString > &theDescr, const Standard_Real theDensity, const Handle< PCollection_HAsciiString > &theDensName, const Handle< PCollection_HAsciiString > &theDensValType)
| PXCAFDoc_Material (const Storage_stCONSTclCOM &a)
Handle< PCollection_HAsciiString > | _CSFDB_GetPXCAFDoc_MaterialmyName () const
void | _CSFDB_SetPXCAFDoc_MaterialmyName (const Handle< PCollection_HAsciiString > &p)
Handle< PCollection_HAsciiString > | _CSFDB_GetPXCAFDoc_MaterialmyDescr () const
void | _CSFDB_SetPXCAFDoc_MaterialmyDescr (const Handle< PCollection_HAsciiString > &p)
Standard_Real | _CSFDB_GetPXCAFDoc_MaterialmyDensity () const
void | _CSFDB_SetPXCAFDoc_MaterialmyDensity (const Standard_Real p)
Handle< PCollection_HAsciiString > | _CSFDB_GetPXCAFDoc_MaterialmyDensName () const
void | _CSFDB_SetPXCAFDoc_MaterialmyDensName (const Handle< PCollection_HAsciiString > &p)
Handle< PCollection_HAsciiString > | _CSFDB_GetPXCAFDoc_MaterialmyDensValType () const
void | _CSFDB_SetPXCAFDoc_MaterialmyDensValType (const Handle< PCollection_HAsciiString > &p)
Public Member Functions inherited from PDF_Attribute
| PDF_Attribute (const Storage_stCONSTclCOM &a)
| PDF_Attribute ()
Public Member Functions inherited from Standard_Persistent
virtual Handle_Standard_Persistent | This () const
virtual void | Delete () const
virtual | ~Standard_Persistent ()
Standard_Persistent & | operator= (const Standard_Persistent &)
| Standard_Persistent ()
| Standard_Persistent (const Standard_Persistent &)
| Standard_Persistent (const Storage_stCONSTclCOM &)
virtual const Handle_Standard_Type & | DynamicType () const
Standard_Boolean | IsKind (const Handle_Standard_Type &) const
Standard_Boolean | IsInstance (const Handle_Standard_Type &) const
virtual Handle_Standard_Persistent | This () const
virtual void | Delete () const
virtual | ~Standard_Persistent ()
Standard_Persistent & | operator= (const Standard_Persistent &)
| Standard_Persistent ()
| Standard_Persistent (const Standard_Persistent &)
| Standard_Persistent (const Storage_stCONSTclCOM &)
virtual const Handle_Standard_Type & | DynamicType () const
Standard_Boolean | IsKind (const Handle_Standard_Type &) const
Standard_Boolean | IsInstance (const Handle_Standard_Type &) const

## Constructor & Destructor Documentation

PXCAFDoc_Material::PXCAFDoc_Material | ( |  | ) |

PXCAFDoc_Material::PXCAFDoc_Material | ( | const Handle< PCollection_HAsciiString > & | theName,
|  | const Handle< PCollection_HAsciiString > & | theDescr,
|  | const Standard_Real | theDensity,
|  | const Handle< PCollection_HAsciiString > & | theDensName,
|  | const Handle< PCollection_HAsciiString > & | theDensValType
| ) |  |

PXCAFDoc_Material::PXCAFDoc_Material | ( | const Storage_stCONSTclCOM & | a | ) |
| inline

## Member Function Documentation

Standard_Real PXCAFDoc_Material::_CSFDB_GetPXCAFDoc_MaterialmyDensity | ( |  | ) | const
| inline

Handle< PCollection_HAsciiString > PXCAFDoc_Material::_CSFDB_GetPXCAFDoc_MaterialmyDensName | ( |  | ) | const
| inline

Handle< PCollection_HAsciiString > PXCAFDoc_Material::_CSFDB_GetPXCAFDoc_MaterialmyDensValType | ( |  | ) | const
| inline

Handle< PCollection_HAsciiString > PXCAFDoc_Material::_CSFDB_GetPXCAFDoc_MaterialmyDescr | ( |  | ) | const
| inline

Handle< PCollection_HAsciiString > PXCAFDoc_Material::_CSFDB_GetPXCAFDoc_MaterialmyName | ( |  | ) | const
| inline

void PXCAFDoc_Material::_CSFDB_SetPXCAFDoc_MaterialmyDensity | ( | const Standard_Real | p | ) |
| inline

void PXCAFDoc_Material::_CSFDB_SetPXCAFDoc_MaterialmyDensName | ( | const Handle< PCollection_HAsciiString > & | p | ) |
| inline

void PXCAFDoc_Material::_CSFDB_SetPXCAFDoc_MaterialmyDensValType | ( | const Handle< PCollection_HAsciiString > & | p | ) |
| inline

void PXCAFDoc_Material::_CSFDB_SetPXCAFDoc_MaterialmyDescr | ( | const Handle< PCollection_HAsciiString > & | p | ) |
| inline

void PXCAFDoc_Material::_CSFDB_SetPXCAFDoc_MaterialmyName | ( | const Handle< PCollection_HAsciiString > & | p | ) |
| inline

Standard_Real PXCAFDoc_Material::GetDensity | ( |  | ) | const

Handle< PCollection_HAsciiString > PXCAFDoc_Material::GetDensName | ( |  | ) | const

Handle< PCollection_HAsciiString > PXCAFDoc_Material::GetDensValType | ( |  | ) | const

Handle< PCollection_HAsciiString > PXCAFDoc_Material::GetDescription | ( |  | ) | const

Handle< PCollection_HAsciiString > PXCAFDoc_Material::GetName | ( |  | ) | const

void PXCAFDoc_Material::Set | ( | const Handle< PCollection_HAsciiString > & | theName,
|  | const Handle< PCollection_HAsciiString > & | theDescr,
|  | const Standard_Real | theDensity,
|  | const Handle< PCollection_HAsciiString > & | theDensName,
|  | const Handle< PCollection_HAsciiString > & | theDensValType
| ) |  |

The documentation for this class was generated from the following file:

- PXCAFDoc_Material.hxx